List:NDB Connectors« Previous MessageNext Message »
From:Monty Taylor Date:December 12 2007 4:43pm
Subject:Rev 369: A change to make the java classes 1.5 compatible. in http://bazaar.launchpad.net/~ndb-connectors/ndb-connectors/devel
View as plain text  
At http://bazaar.launchpad.net/~ndb-connectors/ndb-connectors/devel

------------------------------------------------------------
revno: 369
revision-id: mtaylor@stripped
parent: mtaylor@stripped
committer: Monty Taylor <mtaylor@stripped>
branch nick: devel
timestamp: Wed 2007-12-12 14:43:24 -0200
message:
  A change to make the java classes 1.5 compatible.
modified:
  configure.in                   configure.in-20070228020914-u2pk759xg7thauwf-13
  m4/java.m4                     java.m4-20071024032738-xuzaza2fu10nw2lr-1
=== modified file 'configure.in'
--- a/configure.in	2007-12-12 16:27:34 +0000
+++ b/configure.in	2007-12-12 16:43:24 +0000
@@ -68,6 +68,8 @@
 
 WITH_JAVA()
 
+JAVAOPTS="$JAVAOPTS -target 1.5"
+
 WITH_CSHARP()
 
 WITH_PYTHON()

=== modified file 'm4/java.m4'
--- a/m4/java.m4	2007-12-12 13:10:28 +0000
+++ b/m4/java.m4	2007-12-12 16:43:24 +0000
@@ -162,7 +162,7 @@
     JAVA_INC="$JAVAINCDIR"
     JAVA_BIN="$JAVA_HOME/bin"
     JAVA_LIB="$JAVAINC/.."
-    JAVAOPTS="-1.6"
+    JAVAOPTS="-source 1.6"
     ;;
   *)
     AC_MSG_WARN([Unknown or unsupported JDK])

Thread
Rev 369: A change to make the java classes 1.5 compatible. in http://bazaar.launchpad.net/~ndb-connectors/ndb-connectors/develMonty Taylor12 Dec